Skip to Content
EIS
API Referencev1NumbersOrder

Get Number Order by Order ID

GET
/v1/numbers/orders/{idOrder}

Retrieve a single numbering order by its order ID. If the organization is not specified, the authenticated user's partner organization is used.

Path Parameters

idOrder*integer

The order identifier

Response Body

Number order retrieved successfully.

application/json
  1. response

Order information for the Numbers module.

id*integer

The unique order identifier

tipo*string

The order type

codeOrderOlo?string

The OLO order code

idOrderOlo?integer

The OLO order identifier

note?string

Additional notes for the order

quantity*integer

The ordered quantity

region?string

The region associated with the order

province?string

The province associated with the order

city?string

The city associated with the order

prefix?string

The number prefix

created_time?string

The order creation date

organization*

The organization associated with the order

service*

The service associated with the order

customer*

The customer associated with the order

npDetails?unknown

Additional numbering plan details

status*

The order status

Example Request
curl -X GET 'https://api.eis.it/v1/numbers/orders/0'
Example Response
{  "id": 0,  "tipo": "string",  "codeOrderOlo": "string",  "idOrderOlo": 0,  "note": "string",  "quantity": 0,  "region": "string",  "province": "string",  "city": "string",  "prefix": "string",  "created_time": "string",  "organization": {    "organizationId": 0,    "userId": 0,    "userName": "string",    "createDate": "string",    "modifiedDate": "string",    "parentOrganizationId": 0,    "name": "string",    "type_": "string",    "sbcId": 0,    "documentation_URL": "string",    "support_URL": "string",    "status_URL": "string",    "redirect_URL": "string",    "notificationEmailFromAddress": "string",    "customerId": 0,    "manualCoverage": true,    "coverageIntegration": 0  },  "service": {    "id": 0,    "serviceList": {      "id": 0,      "name": "string",      "serviceProvider": {        "id": 0,        "description": "string"      },      "carrier": {        "id": 0,        "name": "string"      },      "type": {        "id": 0,        "name": "string"      },      "supplierProductId": 0    },    "organizationId": 0,    "integration": {      "id": 0,      "name": "string"    },    "name": "string",    "forDirect": true,    "forSub": true,    "carrierType": "string",    "offsetDays": 0,    "attributes": null  },  "customer": {    "id": 0,    "organizationId": 0,    "name": "string",    "ragioneSociale": "string",    "rappresentante": "string",    "indirizzo": "string",    "civico": "string",    "indSedLeg": "string",    "civicoSedLeg": "string",    "comuneSedLeg": "string",    "provinciaSedLeg": "string",    "regioneSedLeg": "string",    "capSedLeg": "string",    "comune": "string",    "provincia": "string",    "regione": "string",    "country": "string",    "cap": "string",    "tel": "string",    "fiscalCode": "string",    "company": true,    "userid": 0,    "mainCustomer": null,    "createDate": "string",    "organization": {      "organizationId": 0,      "name": "string",      "documentation_URL": "string",      "support_URL": "string",      "status_URL": "string",      "redirect_URL": "string",      "notificationEmailFromAddress": "string",      "customerId": 0,      "manualCoverage": true,      "coverageIntegration": 0    },    "user": {      "userId": 0,      "emailAddress": "string",      "firstName": "string",      "lastName": "string",      "type": {        "id": 0,        "name": "string"      },      "organizationId": 0,      "parentOrganizationId": 0,      "organizationName": "string"    },    "associated_users": [      {}    ],    "egonCodeAddress": "string",    "egonCodeCity": "string",    "egonCodeMain": "string",    "rawAddress": "string",    "piva": "string",    "ptoponomastica": "string",    "mainCustomerInfo": null  },  "npDetails": null,  "status": {    "id": 0,    "code": "string",    "description": "string",    "finishStatus": true  }}